
#include "downloadtask.h"
#include <QProcess>

DownloadTask::DownloadTask(const QString &url, const QString &formatCode)
    : url(url), formatCode(formatCode) {
    setAutoDelete(true);
}

void DownloadTask::run() {
    QProcess process;
    QStringList args;
    args << "-f" << formatCode << url;

    process.start("yt-dlp", args);
    if (!process.waitForStarted()) {
        emit downloadError(url, "فشل في تشغيل yt-dlp");
        return;
    }

    process.waitForFinished(-1);
    if (process.exitStatus() == QProcess::NormalExit && process.exitCode() == 0)
        emit downloadFinished(url);
    else
        emit downloadError(url, process.readAllStandardError());
}
