
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QProcess>
#include <QSystemTrayIcon>
#include <QComboBox>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_fetchFormats_clicked();
    void on_downloadVideo_clicked();
    void on_processOutput();
    void showTrayMessage(const QString &title, const QString &message);
    void dragEnterEvent(QDragEnterEvent *event) override;
    void dropEvent(QDropEvent *event) override;

private:
    Ui::MainWindow *ui;
    QProcess *process;
    QString currentUrl;
    QSystemTrayIcon *trayIcon;
};
#endif // MAINWINDOW_H
